aboutsummaryrefslogtreecommitdiff
path: root/.app/lib/default-method
diff options
context:
space:
mode:
Diffstat (limited to '.app/lib/default-method')
-rw-r--r--.app/lib/default-method19
1 files changed, 19 insertions, 0 deletions
diff --git a/.app/lib/default-method b/.app/lib/default-method
new file mode 100644
index 0000000..2313f61
--- /dev/null
+++ b/.app/lib/default-method
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+PID_FILE=$APPSH_BASEDIR/.app/var/pid/$name-$instance.pid
+
+. ./app-conf
+
+bin=`get_conf $APPSH_BASEDIR $APPSH_NAME $APPSH_INSTANCE app.bin`
+
+case "$APPSH_METHOD" in
+ start)
+ set -x
+ $bin &
+ ret=$?
+ echo $! > $PID_FILE
+ ;;
+ *)
+ exit 1
+ ;;
+esac